"use strict";
var __defProp = Object.defineProperty;
var __getOwnPropDesc = Object.getOwnPropertyDescriptor;
var __getOwnPropNames = Object.getOwnPropertyNames;
var __hasOwnProp = Object.prototype.hasOwnProperty;
var __export = (target, all) => {
  for (var name in all)
    __defProp(target, name, { get: all[name], enumerable: true });
};
var __copyProps = (to, from, except, desc) => {
  if (from && typeof from === "object" || typeof from === "function") {
    for (let key of __getOwnPropNames(from))
      if (!__hasOwnProp.call(to, key) && key !== except)
        __defProp(to, key, { get: () => from[key], enumerable: !(desc = __getOwnPropDesc(from, key)) || desc.enumerable });
  }
  return to;
};
var __toCommonJS = (mod) => __copyProps(__defProp({}, "__esModule", { value: true }), mod);

// meta.ts
var meta_exports = {};
__export(meta_exports, {
  listAppPlansByAppId: () => listAppPlansByAppId2
});
module.exports = __toCommonJS(meta_exports);

// src/appmarket-v1-app-plans-app-plans.http.ts
var import_rest_modules = require("@wix/sdk-runtime/rest-modules");
var import_timestamp = require("@wix/sdk-runtime/transformations/timestamp");
var import_transform_paths = require("@wix/sdk-runtime/transformations/transform-paths");
var import_rest_modules2 = require("@wix/sdk-runtime/rest-modules");
function resolveWixAppmarketAppPlansV1AppsPlansUrl(opts) {
  const domainToMappings = {
    "api._api_base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "manage._base_domain_": [
      {
        srcPath: "/_api/app-market/apps-plans",
        destPath: "/api"
      },
      {
        srcPath: "/api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "bo._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wixbo.ai": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "wix-bo.com": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ],
    "editor._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "blocks._base_domain_": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "create.editorx": [
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www._base_domain_": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      },
      {
        srcPath: "/_api/apps-plans",
        destPath: ""
      }
    ],
    "www.wixapis.com": [
      {
        srcPath: "/apps-plans",
        destPath: ""
      }
    ]
  };
  return (0, import_rest_modules2.resolveUrl)(Object.assign(opts, { domainToMappings }));
}
var PACKAGE_NAME = "@wix/auto_sdk_app-management_app-plans";
function listAppPlansByAppId(payload) {
  function __listAppPlansByAppId({ host }) {
    const metadata = {
      entityFqdn: "wix.appmarket.v1.app_plans",
      method: "GET",
      methodFqn: "wix.appmarket.app_plans.v1.AppsPlans.ListAppPlansByAppId",
      packageName: PACKAGE_NAME,
      url: resolveWixAppmarketAppPlansV1AppsPlansUrl({
        protoPath: "/v1/apps-plans/{appIds}",
        data: payload,
        host
      }),
      params: (0, import_rest_modules.toURLSearchParams)(payload),
      transformResponse: (payload2) => (0, import_transform_paths.transformPaths)(payload2, [
        {
          transformFn: import_timestamp.transformRESTTimestampToSDKTimestamp,
          paths: [
            { path: "appPlans.plans.prices.discount.saleOptions.startDate" },
            { path: "appPlans.plans.prices.discount.saleOptions.endDate" }
          ]
        }
      ])
    };
    return metadata;
  }
  return __listAppPlansByAppId;
}

// src/appmarket-v1-app-plans-app-plans.meta.ts
function listAppPlansByAppId2() {
  const payload = { appIds: ":appIds" };
  const getRequestOptions = listAppPlansByAppId(payload);
  const getUrl = (context) => {
    const { url } = getRequestOptions(context);
    return url;
  };
  return {
    getUrl,
    httpMethod: "GET",
    path: "/v1/apps-plans/{appIds}",
    pathParams: { appIds: "appIds" },
    __requestType: null,
    __originalRequestType: null,
    __responseType: null,
    __originalResponseType: null
  };
}
// Annotate the CommonJS export names for ESM import in node:
0 && (module.exports = {
  listAppPlansByAppId
});
//# sourceMappingURL=meta.js.map